summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/c2l
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/c2l')
-rwxr-xr-xMaster/tlpkg/bin/c2l2
1 files changed, 2 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/c2l b/Master/tlpkg/bin/c2l
index e239adaa5bd..40ee1923eb3 100755
--- a/Master/tlpkg/bin/c2l
+++ b/Master/tlpkg/bin/c2l
@@ -11,12 +11,14 @@ use Cwd;
use File::Basename;
$| = 1;
+umask 022;
exit (&main ());
sub main {
my $real0 = Cwd::abs_path ($0);
my $scriptdir = File::Basename::dirname ($real0); # .../Master/tlpkg/bin
my $TLROOT = Cwd::abs_path ("$scriptdir/../../.."); # ...
+ chdir ($scriptdir) || die "chdir($scriptdir) failed"; # avoid . in PATH confusion
# platform abbrev
my $arg = $ARGV[0];